Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| XML Digital Signature and Encryption, 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.crypto.enc
Interface XMLEncryptContext

All Superinterfaces:
  XMLCryptoContext

All Known Implementing Classes:
  DOMEncryptContext

    public interface XMLEncryptContext

extends XMLCryptoContext

Contains context information for encrypting XML `EncryptedType` structures. This interface is primarily intended for type-safety.

See Also:
  `EncryptedType.encrypt(javax.xml.crypto.enc.XMLEncryptContext)`

Method Summary
`EncryptionMethod` | `getEncryptionMethod()` Returns the EncryptionMethod for encryption if an EncryptionMethod will not be present in the EncryptedType
`javax.crypto.spec.IvParameterSpec` | `getIvParameterSpec()` Returns the IvParameterSpec to be use for block encryption if an initialization vector is needed.
`void` | `setEncryptionMethod(EncryptionMethod encMethod)` Specifies the EncryptionMethod for encryption if an EncryptionMethod will not be present in the EncryptedType
`void` | `setIvParameterSpec(javax.crypto.spec.IvParameterSpec ivSpec)` Specifies the IvParameterSpec for block encryption if an initialization vector is needed.

Methods inherited from interface javax.xml.crypto.XMLCryptoContext
`get, getBaseURI, getDefaultNamespacePrefix, getKeySelector, getNamespacePrefix, getProperty, getURIDereferencer, put, putNamespacePrefix, setBaseURI, setDefaultNamespacePrefix, setKeySelector, setProperty, setURIDereferencer`

Method Detail

### getEncryptionMethod

    EncryptionMethod getEncryptionMethod()

  Returns the EncryptionMethod for encryption if an EncryptionMethod will not be present in the EncryptedType

  Returns:
    the EncryptionMethod for encryption

### setEncryptionMethod

    void setEncryptionMethod(EncryptionMethod encMethod)

  Specifies the EncryptionMethod for encryption if an EncryptionMethod will not be present in the EncryptedType

  Parameters:
    `encMethod` - the EncryptionMethod for encryption

### getIvParameterSpec

    javax.crypto.spec.IvParameterSpec getIvParameterSpec()

  Returns the IvParameterSpec to be use for block encryption if an initialization vector is needed.

  Returns:
    the IvParameterSpec to be used for block encryption

### setIvParameterSpec

    void setIvParameterSpec(javax.crypto.spec.IvParameterSpec ivSpec)

  Specifies the IvParameterSpec for block encryption if an initialization vector is needed. It is recommended to not to reuse the IvParameterSpec for different encryption instances.

  Parameters:
    `ivSpec` - the initialization vector for block encryption

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| XML Digital Signature and Encryption, 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004, IBM Corporation and Sun Microsystems, Inc. All rights reserved.
Please send comments to: jsr-106-comments@jcp.org